﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace ODataSampleClient.Utilities
{
    /// <summary>
    /// Provide a source of several different useful pen colors.
    /// </summary>
    public static class ColorPicker
    {
        /// <summary>
        /// Initialize with a variety of colors.
        /// </summary>
        private static SolidColorBrush[] colors =
        {
            Brushes.Aqua,
            Brushes.Azure,
            Brushes.Beige,
            Brushes.Blue,
            Brushes.Brown,
            Brushes.Chartreuse,
            Brushes.Coral,
            Brushes.CornflowerBlue,
            Brushes.Cyan,
            Brushes.DarkBlue,
            Brushes.DarkGreen,
            Brushes.DarkOrange,
            Brushes.DarkSalmon,
            Brushes.GreenYellow,
            Brushes.Indigo,
            Brushes.Lavender,
            Brushes.LemonChiffon,
            Brushes.LightBlue,
            Brushes.Maroon,
            Brushes.MediumBlue,
            Brushes.Orange,
            Brushes.PaleGreen,
            Brushes.Plum,
            Brushes.Red
        };

        /// <summary>
        /// Initialize at the start of the array.
        /// </summary>
        private static int nextColor = 0;

        /// <summary>
        /// Get the next color in the array, cycling
        /// through the array when it is exhausted.
        /// </summary>
        /// <returns>The color selected</returns>
        public static SolidColorBrush NextColor
        {
            get
            {
                // A return value.
                SolidColorBrush result = colors[nextColor];

                // Cycle to the next color, wrapping after the end.
                if (++nextColor >= colors.Length) nextColor = 0;

                return result;
            }
        }

    }
}
